Skip to main content
POST
/
api
/
generate
/
submit
Submit Wan 2.5 Image-to-Video Task
curl --request POST \
  --url https://api.poyo.ai/api/generate/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "wan2.5-image-to-video",
  "callback_url": "https://your-domain.com/callback",
  "input": {
    "prompt": "A warm, cinematic zoom-in on the subject with gentle camera motion.",
    "image_urls": [
      "https://example.com/image.jpg"
    ],
    "resolution": "720p",
    "duration": 5,
    "seed": 225
  }
}
'
{
  "code": 200,
  "data": {
    "task_id": "task-unified-1757165031-uyujaw3d",
    "status": "not_started",
    "created_time": "2025-11-12T10:30:00"
  }
}
  1. After submission, a task_id will be returned. If you provided a callback_url, when the task status becomes finished or failed, a POST request will be sent to the callback_url.
  2. Regardless of whether callback_url is provided, you can retrieve the response result through the unified Query Task Status endpoint.

Wan 2.5 Image-to-Video

wan2.5-image-to-video is a higher-quality single-image animation model with broader resolution support than the Wan 2.2 fast line.

Available Model

  • wan2.5-image-to-video - Animate a single image into a video clip

Key Parameters

  • Image URLs: exactly 1 required
  • Resolution: 480p, 720p, or 1080p
  • Duration: 5 or 10 seconds
  • Optional Controls: audio, negative_prompt, seed

Authorizations

Authorization
string
header
required

All API endpoints require Bearer Token authentication

Get your API Key:

Visit the API Key Management Page to get your API Key

Add it to the request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
required

Wan 2.5 image-to-video model identifier

Available options:
wan2.5-image-to-video
input
object
required

Input parameters for generation

callback_url
string<uri>

Webhook callback URL for result notifications

Example:

"https://your-domain.com/callback"

Response

200 - application/json

Task submitted successfully

code
integer
required

HTTP status code

Example:

200

data
object
required